Package org.jbpm.compiler.xml

## Class ProcessBuildData

- java.lang.Object
- - org.jbpm.compiler.xml.ProcessBuildData

-     public class ProcessBuildData
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProcessBuildData()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `addNode​(Node node)` |
    `void` | `addProcess​(org.kie.api.definition.process.Process process)` |
    `Object` | `getMetaData​(String name)` |
    `Node` | `getNode​(Long id)` |
    `Map<Long,​Node>` | `getNodes()` |
    `List<org.kie.api.definition.process.Process>` | `getProcesses()` |
    `void` | `onBuildComplete​(org.kie.api.definition.process.Process process)` |
    `protected void` | `onComplete​(org.kie.api.definition.process.Process process)` |
    `protected void` | `onMetaData​(String name, Object data)` |
    `protected void` | `onNode​(Node node)` |
    `protected void` | `onProcess​(org.kie.api.definition.process.Process process)` |
    `void` | `setMetaData​(String name, Object data)` |
    `void` | `setProcesses​(List<org.kie.api.definition.process.Process> process)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessBuildData

          public ProcessBuildData()

  - ### Method Detail

    - #### getProcesses

          public List<org.kie.api.definition.process.Process> getProcesses()

    - #### addProcess

          public void addProcess​(org.kie.api.definition.process.Process process)

    - #### setProcesses

          public void setProcesses​(List<org.kie.api.definition.process.Process> process)

    - #### getNodes

          public Map<Long,​Node> getNodes()

    - #### addNode

          public boolean addNode​(Node node)

    - #### getNode

          public Node getNode​(Long id)

    - #### getMetaData

          public Object getMetaData​(String name)

    - #### setMetaData

          public void setMetaData​(String name,
                                  Object data)

    - #### onNode

          protected void onNode​(Node node)

    - #### onProcess

          protected void onProcess​(org.kie.api.definition.process.Process process)

    - #### onMetaData

          protected void onMetaData​(String name,
                                    Object data)

    - #### onComplete

          protected void onComplete​(org.kie.api.definition.process.Process process)

    - #### onBuildComplete

          public void onBuildComplete​(org.kie.api.definition.process.Process process)